QCA::RandomContext Class Referenceabstract
QCA provider API

`#include <QtCrypto>`

Collaboration diagram for QCA::RandomContext:
[legend]

## Public Member Functions

virtual SecureArray | nextBytes (int size)=0
| RandomContext (Provider *p)
Public Member Functions inherited from QCA::Provider::Context
virtual Context * | clone () const =0
Provider * | provider () const
bool | sameProvider (const Context *c) const
QString | type () const

## Additional Inherited Members

Protected Member Functions inherited from QCA::BasicContext
| BasicContext (const BasicContext &from)
| BasicContext (Provider *parent, const QString &type)
Protected Member Functions inherited from QCA::Provider::Context
| Context (const Context &from)
| Context (Provider *parent, const QString &type)

## Detailed Description

Random provider.

Note
  This class is part of the provider plugin interface and should not be used directly by applications. You probably want Random instead.

## Constructor & Destructor Documentation

## RandomContext()

QCA::RandomContext::RandomContext | ( | Provider * | p | ) |

inline

Standard constructor.

Parameters

  p | the provider associated with this context

References QCA::BasicContext::BasicContext().

## Member Function Documentation

## nextBytes()

virtual SecureArray QCA::RandomContext::nextBytes | ( | int | size | ) |

pure virtual

Return an array of random bytes.

Parameters

  size | the number of random bytes to return

The documentation for this class was generated from the following file:

- qcaprovider.h